#!/bin/bash
set -Eeuxo pipefail

export TMP_DIR=$(mktemp -d)
cp -r debian-$ARCH $TMP_DIR/debian
cp -r files $TMP_DIR
echo -e "wit-pxeboot (1.0.$(date +%Y.%m.%d.%H.%M)) unstable; urgency=low\n\n$(git log --format="  * %s")\n\n -- wit <netops@wit.com>  $(date -R)" >$TMP_DIR/debian/changelog
sudo TMP_DIR=$TMP_DIR ./create_pxeinitrd.sh
cd $TMP_DIR
sudo dpkg-buildpackage --no-sign
scp -i ~/.ssh/packager -o StrictHostKeyChecking=no -P 22022 ../wit-pxeboot_*_all.deb root@cloud-api.v1.cloud.wit.com:/data/incoming
cd -
sudo rm -fr $TMP_DIR
